<?php
/* ---------------------------------------------------------------------------
 *  MySQL PDO連携：-- MySQL接続PDOのquote、queryによるクエリ実行 --の例
 *  2016.06.25 作成 yoshi of CXMedia Inc.
 * ---------------------------------------------------------------------------
 */
/* ----------------------
 *   データベース接続
 * --------------------- */
// MySQLデータベース接続の初期設定
$host     = 'localhost';    //接続サーバ（URL）
$user     = 'user';         //DB接続のユーザ名
$password = 'eLerning_PWD'; //DB接続のパスワード
$dbname   = 'list_db';      //接続データベース名
//dsnの設定（PDOドライバ名:mysqlの指定）
$dsn      = "mysql:dbname={$dbname};host={$host}";

// "try ～ catch ～"文により、MySQLデータベースに接続して、インスタンス作成
try {
    $db = new PDO($dsn, $user, $password);
} catch (PDOException $e) {
    // DB接続エラーのときエラーメッセージを表示して、終了
    echo 'MySQL接続エラー: '.$e->getMessage();
    exit;
}
// 接続開始
echo "PDO_MySQL:「{$dbname}」のデータベース接続に成功！",'<br>';

/* ----------------------------
 *  検索クエリの実行と結果表示
 * ---------------------------- */
// 検索のsql文作成
$sql = "SELECT * FROM persons";
// query()メソッドで検索、オプションで連想配列のみのPDO::FETCH_ASSOC定数の設定
$result = $db->query($sql, PDO::FETCH_ASSOC);

// DB検索した結果の内容表示
echo '■personsテーブルの検索一覧<br>';
if($result === FALSE) {
    echo "クエリ失敗：" .$sql,'<br>';
} else {
	echo '<pre>';
	foreach ($result as $ary){
	    print_r($ary);
	}
	echo '</pre>';
}

echo "MySQL:接続終了";
?>
